<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: getFunctionDeclsAsOSProcesses.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('get_function_decls_as_o_s_processes_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">getFunctionDeclsAsOSProcesses.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="get_function_decls_as_o_s_processes_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef ClangToolsType</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">    #define ClangToolsType</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">    #include &quot;clang/ASTMatchers/ASTMatchers.h&quot;</span> <span class="comment">//These are the services to describe the matcher rules</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">    #include &quot;clang/ASTMatchers/ASTMatchFinder.h&quot;</span> <span class="comment">//These are the match finders that are e.g. calling the source code refactoring methods</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">    #include &quot;clang/Basic/SourceManager.h&quot;</span> <span class="comment">//calculation of positions etc in the source code</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">    #include &quot;clang/Frontend/FrontendActions.h&quot;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">    #include &quot;clang/Lex/Lexer.h&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">    #include &quot;clang/Tooling/Refactoring.h&quot;</span> <span class="comment">// provides the method &quot;refactoring tool&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">    #include &quot;clang/Tooling/Tooling.h&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">    #include &quot;llvm/ADT/Twine.h&quot;</span> <span class="comment">//value and string handling</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">    #include &quot;clang/Tooling/CommonOptionsParser.h&quot;</span> <span class="comment">//command line and command database factory</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">    #include &quot;llvm/Support/CommandLine.h&quot;</span> <span class="comment">//provides the command line namespace and variables that are used to configure the comand input</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">    #include &quot;llvm/Support/MemoryBuffer.h&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">    #include &quot;llvm/Support/Path.h&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">    #include &quot;llvm/Support/raw_ostream.h&quot;</span> <span class="comment">//llvm uses its own output stream operations</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">    #include &quot;llvm/Support/FileSystem.h&quot;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#ifndef ClangRefactoringMatchersType</span></div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="get_function_decls_as_o_s_processes_8hpp.html#a4cf75803af7426f05f2d4ebc2b6118c8">   23</a></span>&#160;<span class="preprocessor">    #define ClangRefactoringMatchersType</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="refactor-powertrain-matchers_8h.html">refactor-powertrain-matchers.h</a>&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_match_process_body_8h.html">MatchProcessBody.h</a>&quot;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="_match_global_var_refs_8h.html">MatchGlobalVarRefs.h</a>&quot;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">// basic file operations</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;cstdlib&gt;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;cstring&gt;</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;sstream&gt;</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;unistd.h&gt;</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;algorithm&gt;</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &lt;set&gt;</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &lt;unistd.h&gt;</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#include &lt;sys/types.h&gt;</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &lt;dirent.h&gt;</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#ifndef bsoncxxType</span></div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="get_function_decls_as_o_s_processes_8hpp.html#aa9396de8135028b19da1bfde91e1852b">   54</a></span>&#160;<span class="preprocessor">    #define bsoncxxType</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/array.hpp&gt;</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/document.hpp&gt;</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/array.hpp&gt;</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/document.hpp&gt;</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/types.hpp&gt;</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/stdx/string_view.hpp&gt;</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/json.hpp&gt;</span> </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/types.hpp&gt;</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/document.hpp&gt;</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/json.hpp&gt;</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/document/value.hpp&gt;</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/stdx/string_view.hpp&gt;</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#endif </span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#ifndef mongocxxType</span></div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="get_function_decls_as_o_s_processes_8hpp.html#a66ebd5f015f9e87b10ae2217f178c149">   77</a></span>&#160;<span class="preprocessor">    #define mongocxxType</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">    #include &lt;mongocxx/client.hpp&gt;</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">    #include &lt;mongocxx/instance.hpp&gt;</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">    #include &lt;mongocxx/uri.hpp&gt;</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#ifndef postgresSearchesType</span></div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="get_function_decls_as_o_s_processes_8hpp.html#af2a3f98959ffcc70910d3e16dcc17be7">   86</a></span>&#160;<span class="preprocessor">    #define postgresSearchesType</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">    #include &lt;<a class="code" href="postgres_interface_8hpp.html">postgresInterface.hpp</a>&gt;</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">    #include &lt;<a class="code" href="search_path_utilities_8hpp.html">searchPathUtilities.hpp</a>&gt;</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">    #include &lt;<a class="code" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html">FlattenASAMMDXxml.hpp</a>&gt;</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div>
<div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="get_function_decls_as_o_s_processes_8hpp.html#af93a1ddcec5d4ca2913cf173c0948310">   92</a></span>&#160;std::vector&lt;std::string&gt; <a class="code" href="get_function_decls_as_o_s_processes_8hpp.html#af93a1ddcec5d4ca2913cf173c0948310">getFunctionDeclsAsOSProcesses</a>()</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;{</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    std::vector&lt;std::string&gt; property;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keyword">property</span>.push_back(<span class="stringliteral">&quot;processListName&quot;</span>);</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    std::vector&lt;std::vector&lt;std::string&gt;&gt; procListNames_vec_vec = <a class="code" href="postgres_interface_8hpp.html#abb99b0e2add80b662e70fc70543569d8">getStringVectorFromJsonObj</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,<span class="stringliteral">&quot;rtosprocesslists&quot;</span>,<span class="stringliteral">&quot;rtosprclsts&quot;</span>,property);</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keyword">property</span>.clear();</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    std::vector&lt;std::string&gt; process_vec;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordflow">for</span>(std::vector&lt;std::vector&lt;std::string&gt;&gt;::iterator itNm=procListNames_vec_vec.begin();itNm!=procListNames_vec_vec.end();itNm++)</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    {</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <span class="keyword">property</span>.push_back(<span class="stringliteral">&quot;process&quot;</span>);  </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        std::vector&lt;std::string&gt; inner = *itNm;     </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        std::string jsonkey = <span class="stringliteral">&quot;{\&quot;processListName\&quot;:\&quot;&quot;</span>+inner[0]+<span class="stringliteral">&quot;\&quot;}&quot;</span>; </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        std::vector&lt;std::vector&lt;std::string&gt;&gt; processes_vec_vec = <a class="code" href="postgres_interface_8hpp.html#a05c138142fb11ee473b34d27512a3f7e">getStringVectorFromJsonArray</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,<span class="stringliteral">&quot;rtosprocesslists&quot;</span>,<span class="stringliteral">&quot;rtosprclsts&quot;</span>,<span class="stringliteral">&quot;processes&quot;</span>,property,jsonkey);</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keyword">property</span>.clear();</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keywordflow">for</span>(std::vector&lt;std::vector&lt;std::string&gt;&gt;::iterator itPrc=processes_vec_vec.begin();itPrc!=processes_vec_vec.end();itPrc++)</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        {</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            <span class="keyword">property</span>.push_back(<span class="stringliteral">&quot;filepath&quot;</span>); </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            std::vector&lt;std::string&gt; prc = *itPrc;  </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            std::string value = <span class="stringliteral">&quot;{\&quot;filepath\&quot;:\&quot;&quot;</span> + prc[0] + <span class="stringliteral">&quot;\&quot;}&quot;</span>;    </div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            std::vector&lt;std::vector&lt;std::string&gt;&gt; proc_vec_vec = <a class="code" href="postgres_interface_8hpp.html#a0231ce735528de5cc4fbe68da76bfc33">getPropertyAccJSONPath</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,<span class="stringliteral">&quot;functiondefinitions&quot;</span>,<span class="stringliteral">&quot;functiondefs&quot;</span>,value,property); </div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            <span class="keyword">property</span>.clear();</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;            <span class="keywordflow">if</span>(!proc_vec_vec.empty())</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            {</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                <span class="keywordflow">for</span>(std::vector&lt;std::vector&lt;std::string&gt;&gt;::iterator itFcPrc=proc_vec_vec.begin();itFcPrc!=proc_vec_vec.end();itFcPrc++)</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;                {</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;                    std::vector&lt;std::string&gt; cur = *itFcPrc;                </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                    process_vec.push_back(cur[0]);</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;                }           </div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;            }</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        </div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        <span class="keyword">property</span>.push_back(<span class="stringliteral">&quot;process&quot;</span>);  </div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        jsonkey = <span class="stringliteral">&quot;{\&quot;processListName\&quot;:\&quot;&quot;</span>+prc[0]+<span class="stringliteral">&quot;\&quot;}&quot;</span>;   </div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        std::vector&lt;std::vector&lt;std::string&gt;&gt; proccntnr_vec_vec = <a class="code" href="postgres_interface_8hpp.html#a05c138142fb11ee473b34d27512a3f7e">getStringVectorFromJsonArray</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,<span class="stringliteral">&quot;rtosprocesscontainerlists&quot;</span>,<span class="stringliteral">&quot;rtosprcscontlst&quot;</span>,<span class="stringliteral">&quot;processes&quot;</span>,property,jsonkey);</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        <span class="keyword">property</span>.clear();</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        <span class="keywordflow">if</span>(!proccntnr_vec_vec.empty())</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        {</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;            <span class="keywordflow">for</span>(std::vector&lt;std::vector&lt;std::string&gt;&gt;::iterator itFcPrc=proccntnr_vec_vec.begin();itFcPrc!=proccntnr_vec_vec.end();itFcPrc++)</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;            {               </div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;                <span class="keyword">property</span>.push_back(<span class="stringliteral">&quot;filepath&quot;</span>); </div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                std::vector&lt;std::string&gt; prc = *itFcPrc;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;                std::string value = <span class="stringliteral">&quot;{\&quot;filepath\&quot;:\&quot;&quot;</span> + prc[0] + <span class="stringliteral">&quot;\&quot;}&quot;</span>;    </div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                std::vector&lt;std::vector&lt;std::string&gt;&gt; proc_vec_vec = <a class="code" href="postgres_interface_8hpp.html#a0231ce735528de5cc4fbe68da76bfc33">getPropertyAccJSONPath</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,<span class="stringliteral">&quot;functiondefinitions&quot;</span>,<span class="stringliteral">&quot;functiondefs&quot;</span>,value,property); </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;                <span class="keyword">property</span>.clear();</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;                <span class="keywordflow">if</span>(!proc_vec_vec.empty())</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;                {</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                    <span class="keywordflow">for</span>(std::vector&lt;std::vector&lt;std::string&gt;&gt;::iterator itFcPrc=proc_vec_vec.begin();itFcPrc!=proc_vec_vec.end();itFcPrc++)</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;                    {</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                        std::vector&lt;std::string&gt; cur = *itFcPrc;                </div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                        process_vec.push_back(cur[0]);</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                    }           </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;                }</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;            }</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        }   </div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    }   </div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;}</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="keywordflow">return</span> process_vec;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_match_process_body_8h_html"><div class="ttname"><a href="_match_process_body_8h.html">MatchProcessBody.h</a></div></div>
<div class="ttc" id="apostgres_interface_8hpp_html"><div class="ttname"><a href="postgres_interface_8hpp.html">postgresInterface.hpp</a></div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a05c138142fb11ee473b34d27512a3f7e"><div class="ttname"><a href="postgres_interface_8hpp.html#a05c138142fb11ee473b34d27512a3f7e">getStringVectorFromJsonArray</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; getStringVectorFromJsonArray(std::string dbName, std::string table, std::string collumn, std::string arrayKey, std::vector&lt; std::string &gt; property, std::string jsonKey)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:375</div></div>
<div class="ttc" id="asearch_path_utilities_8hpp_html"><div class="ttname"><a href="search_path_utilities_8hpp.html">searchPathUtilities.hpp</a></div></div>
<div class="ttc" id="a_flatten_a_s_a_m_m_d_xxml_8hpp_html"><div class="ttname"><a href="_flatten_a_s_a_m_m_d_xxml_8hpp.html">FlattenASAMMDXxml.hpp</a></div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_abb99b0e2add80b662e70fc70543569d8"><div class="ttname"><a href="postgres_interface_8hpp.html#abb99b0e2add80b662e70fc70543569d8">getStringVectorFromJsonObj</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; getStringVectorFromJsonObj(std::string dbName, std::string table, std::string collumn, std::vector&lt; std::string &gt; property=std::vector&lt; std::string &gt;())</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:497</div></div>
<div class="ttc" id="arefactor-powertrain-matchers_8h_html"><div class="ttname"><a href="refactor-powertrain-matchers_8h.html">refactor-powertrain-matchers.h</a></div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a0231ce735528de5cc4fbe68da76bfc33"><div class="ttname"><a href="postgres_interface_8hpp.html#a0231ce735528de5cc4fbe68da76bfc33">getPropertyAccJSONPath</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; getPropertyAccJSONPath(std::string dbName, std::string table, std::string collumn, std::string value, std::vector&lt; std::string &gt; property=std::vector&lt; std::string &gt;())</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:241</div></div>
<div class="ttc" id="aget_function_decls_as_o_s_processes_8hpp_html_af93a1ddcec5d4ca2913cf173c0948310"><div class="ttname"><a href="get_function_decls_as_o_s_processes_8hpp.html#af93a1ddcec5d4ca2913cf173c0948310">getFunctionDeclsAsOSProcesses</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getFunctionDeclsAsOSProcesses()</div><div class="ttdef"><b>Definition:</b> getFunctionDeclsAsOSProcesses.hpp:92</div></div>
<div class="ttc" id="a_match_global_var_refs_8h_html"><div class="ttname"><a href="_match_global_var_refs_8h.html">MatchGlobalVarRefs.h</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="get_function_decls_as_o_s_processes_8hpp.html">getFunctionDeclsAsOSProcesses.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
